JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const devboxLogsListView = await client.devboxes.logs.list('id');
console.log(devboxLogsListView.logs);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
devbox_logs_list_view = client.devboxes.logs.list(
id="id",
)
print(devbox_logs_list_view.logs)curl --request GET \
--url https://api.runloop.ai/v1/devboxes/{id}/logs \
--header 'Authorization: Bearer <token>'
{
"logs": [
{
"level": "<string>",
"timestamp_ms": 123,
"cmd_id": "<string>",
"shell_name": "<string>",
"cmd": "<string>",
"message": "<string>",
"exit_code": 123
}
]
}Devbox
Get Devbox logs.
Get all logs from a running or completed Devbox.
GET
/
v1
/
devboxes
/
{id}
/
logs
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const devboxLogsListView = await client.devboxes.logs.list('id');
console.log(devboxLogsListView.logs);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
devbox_logs_list_view = client.devboxes.logs.list(
id="id",
)
print(devbox_logs_list_view.logs)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Devbox ID.
Query Parameters
ID of execution to filter logs by.
Shell Name to filter logs by.
Response
OK
List of logs for the given devbox.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
